<div id="preloader">
    <div class="dorne-load"></div>
</div>

<div class="dorne-welcome-area bg-img bg-overlay" style="background-image: url('../../assets/users/img/pandafams.jpg'); width: auto; height: 300px">

</div>

<div class="card-header">
    <a (click)="toHome()" class="card-title linkhome" style="margin-left: 0"> < </a>
    <a class="card-title active" style="margin-left: 35%" >Profile</a>
</div>

<div class="dorne-catagory-area">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="all-catagories">
                    <div class="row">
                        <!-- Single Catagory Area -->
                        <div class="col-12 col-sm-6 col-md">
                            <div class="single-catagory-area wow fadeInUpBig" data-wow-delay="0.2s">
                                <div class="catagory-content">
                                    <div class="row">
                                        <table class="table-hover table-striped table-responsive" style="display: flex;">
                                            <td style="width: 50%; padding:0 15px;" >
                                                <div class="multi-catagory-area">
                                                   <a id="uploadfotos" data-toggle="modal" data-target="#uploadFoto">
                                                       <i class="fa fa-upload fa-3x" aria-hidden="true"></i>
                                                        <h6>Upload</h6>
                                                    </a>
                                                </div>
                                            </td>
                                            <td style="width: 50%; padding:0 15px;">
                                                <div class="multi-catagory-area">
                                                  <a id="editDatas" data-toggle="modal" data-target="#editData" >
                                                      <i class="fa fa-pencil-square-o fa-3x" aria-hidden="true"></i>
                                                        <h6>Edit</h6>
                                                    </a>
                                                </div>
                                            </td>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="uploadFoto" tabindex="-1" role="dialog" aria-labelledby="uploadFoto" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="uploadFoto" >Upload Foto</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form  id="uploadForm" [formGroup]="uploadForm" (ngSubmit)="onUpload()">
                    <div class="form-group" >
                        <input type="file" class="form-control" formControlName="photoFile" placeholder="Choose file" />
                    </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-primary">Upload File</button>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
            {{imageError}}
        </div>
    </div>
</div>

<div class="modal fade" id="editData" tabindex="2" role="dialog" aria-labelledby="editData" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Edit Data</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form  id="editForm" [formGroup]="editForm" (ngSubmit)="onEdit()">
                    <div class="form-group">
                        <label>Nama Lengkap</label>
                        <input type="text" class="form-control" formControlName="namaLengkap" placeholder="Nama Lengkap" />

                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" class="form-control" formControlName="email" placeholder="Email" />

                    </div>
                    <div class="form-group">
                        <label>Tanggal Lahir</label>
                        <input type="text" class="form-control" formControlName="tglLahir" placeholder="Tanggal Lahir"/>

                    </div>
                    <div class="form-group">
                        <label>Alamat</label>
                        <input type="text" class="form-control" formControlName="Alamat" placeholder="Alamat" />

                    </div>
                    <div class="form-group">
                        <button type="button" class="btn btn-primary">Simpan Data</button>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

            </div>
        </div>
    </div>
</div>